/*
 * KPC488 Inspector interface
 * Copyright (C) 1994  W. Eric Norum
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * W. Eric Norum
 * Saskatchewan Accelerator Laboratory
 * University of Saskatchewan
 * 107 North Road
 * Saskatoon, Saskatchewan, CANADA
 * S7N 5C6
 * 
 * eric@skatter.usask.ca
 */

#import <driverkit/IODeviceInspector.h>
#import <driverkit/IODeviceMaster.h>
#import <driverkit/driverTypes.h>

@interface KPC488Inspector:IODeviceInspector
{
	/*
	 * Communication with driver
	 */
	IODeviceMaster	*deviceMaster;
	IOObjectNumber	deviceObjectNumber;

	/*
	 * Parameters
	 */
	id				kpc488View;
	unsigned int	gpibController;
	char			gpibControllerString[20];
	id				gpibControllerSelector;
	unsigned int	dmaCheckInterval;
	char			dmaCheckIntervalString[20];
	id				dmaCheckIntervalSelector;
	unsigned int	timeLimit;
	char			timeLimitString[20];
	id				timeLimitSelector;
}

- gpibControllerChanged:sender;
- dmaCheckIntervalChanged:sender;
- timeLimitChanged:sender;

@end
	
