/*
 * IEEE-488.1 Multiline Messages
 * Copyright (C) 1994  W. Eric Norum
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * W. Eric Norum
 * Saskatchewan Accelerator Laboratory
 * University of Saskatchewan
 * 107 North Road
 * Saskatoon, Saskatchewan, CANADA
 * S7N 5C6
 * 
 * eric@skatter.usask.ca
 */

/*
 * Addressed Command Group
 */
#define GTL_488		0x01		/* Go To Local */
#define SDC_488		0x04		/* Selected Device Clear */
#define PPC_488		0x05		/* Parallel Poll Configure */
#define GET_488		0x08		/* Group Execute Trigger
#define TCT_488		0x09		/* Take ConTrol */

/*
 * Universal Command Group
 */
#define LLO_488		0x11		/* Local LockOut */
#define DCL_488		0x14		/* Device Clear */
#define PPU_488		0x15		/* Parallel Poll Unconfigure */
#define SPE_488		0x18		/* Serial Poll Enable */
#define SPD_488		0x19		/* Serial Poll Disable */

/*
 * Listen Address Group
 */
#define LAG_488		0x20		/* Listen Address Group */
#define UNL_488		0x3F		/* UNListen */

/*
 * Talk Address Group
 */
#define TAG_488		0x40		/* Talk Address Group */
#define UNT_488		0x5F		/* UNTalk */

/*
 * Secondary Command Group
 */
#define PPE_488		0x60		/* Parallel Poll Enable */
#define PPD_488		0x70		/* Parallel Poll Disable */
