/*
 * IEEE-488 driver ioctl's
 * Copyright (C) 1994  W. Eric Norum
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * W. Eric Norum
 * Saskatchewan Accelerator Laboratory
 * University of Saskatchewan
 * 107 North Road
 * Saskatoon, Saskatchewan, CANADA
 * S7N 5C6
 * 
 * eric@skatter.usask.ca
 */

/*
 * Single line messages
 */
#define KPC_IEEE488_IFC		_IO('k', 1)		/* InterFace Clear */
#define KPC_IEEE488_LOCAL	_IO('k', 2)		/* Pulse REN inactive */

/*
 * Addressed Command Group
 */
#define KPC_IEEE488_GTL		_IO('k', 3)		/* Go To Local */
#define KPC_IEEE488_SDC		_IO('k', 4)		/* Selected Device Clear */
#define KPC_IEEE488_GET		_IO('k', 5)		/* Group Execute Trigger */

/*
 * Universal Command Group
 */
#define KPC_IEEE488_LLO		_IO('k', 6)		/* Local LockOut */
#define KPC_IEEE488_DCL		_IO('k', 7)		/* Device CLear */

/*
 * Perform serial poll
 */
#define KPC_IEEE488_SPOLL	_IOR('k', 8, int)

/*
 * Check SRQ status
 */
#define KPC_IEEE488_GETSRQ	_IOR('k', 9, int)

/*
 * Parallel poll support
 */
#define KPC_IEEE488_PPC		_IOW('k', 10, int)
#define KPC_IEEE488_PPOLL	_IOR('k', 11, int)
#define KPC_IEEE488_PPD		_IO('k', 12)
#define KPC_IEEE488_PPU		_IO('k', 13)

/*
 * Check if read operation has completed
 */
#define KPC_IEEE488_END		_IOR('k', 14, int)

/*
 * Send Group Execute Trigger to a number of devices
 */
#define KPC_IEEE488_GETLIST	_IOW('k', 15, int)
