/*
 * Name: hardware.m
 * Description: hardware-registers of the parallel port-hardware and
 *     bitmasks for control-bits
 * Author: Christian Starkjohann <cs@ecs.co.at>
 * Date: September 1 1994
 * Tabsize: 4
 *
 * Copyright (C) 1994  Christian Starkjohann
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* Ports */
#define	PORT_DATA	iobase
#define	PORT_ICTL	(iobase+1)
#define	PORT_OCTL	(iobase+2)

/* input-port-bitmasks */
#define	PP_NOTBUSY	0x80	/* inverted */
#define	PP_NOTACK	0x40	/* direct   */
#define	PP_NOPAPER	0x20	/* direct   */
#define	PP_ONLINE	0x10	/* direct   */
#define	PP_NOTERROR	0x08	/* direct   */

/* output-port-bitmasks */
#define	PP_IEN		0x10	/* direct   */
#define	PP_NOTRESET	0x04	/* direct   */
#define	PP_FEED		0x02	/* inverted */
#define	PP_STROBE	0x01	/* inverted */

