/* ColorView.h  Copyright 1994 Steve Ludtke */

#import <appkit/View.h>

@interface ColorView:View
{
id depletion;
id shingling;
id bitsperpix;
id resolution;
id setwin;	/* settings window */
id colwin;	/* color window */
id gamma;	/* gamma value */
id rgbmodsel; /* select r,g,b,all for global mods */
id colorPanel; /* NXColorPanel for color selection */
float CCOR[9][9][9][3];		/* current color map */
int sel[3];		/* selected color (r,g,b) */
int dsel;		/* display flag, see drawSelf:: */
int mapsel;		/* currently selected colormap */
char *bpath;	/* location of application */
}

- initFrame:(NXRect *)myrect;
- display:sender;

-set1Color:sender;	/* change settings for selected color */
-resetColor:sender;	/* reset selected color to unity */
-resetAll:sender;	/* reset ALL colors */
-darken:sender;		/* decrease brightness of all colors */
-lighten:sender;	
-moreContrast:sender;	/* increase contrast of all colors */
-lessContrast:sender;
-gammaAdj:sender;		/* correct for gamma */
-updSel;				/* redisplay RGB sliders for selected color */
-smooth:sender;			/* smooth all colors */
-interp;				/* interpolate colors that aren't displayed */
-use:sender;			/* save current map to /tmp/hpccor */
-saveMap:sender;		/* save modified colormap */
-revert:sender;			/* revert to last saved version of cmap */
-default:sender;		/* revert to the default colormap */

-useParms:sender;		/* write /usr/local/lib/ghostscript/filt/filt.sh */
-modColor:sender;		/* change to the color modification panel */
-newMap:sender;			/* load a new color map */
-(char *)colFileSpec:(char)save;	
						/* returns the filespec of the current colormap */

-loadInfo:sender;
- superviewSizeChanged:(const NXSize *)oldsize;
- drawSelf:(NXRect *)rects :(int)rectCount;
- mouseDown:(NXEvent *)event; 
- (BOOL)acceptsFirstMouse;	
- printPSCode:sender;
-appDidInit:sender;
@end
